Name:           grub2-theme-upo
Version:        1.0
Release:        1%{?dist}
BuildArch:      noarch
Summary:        A theme for GRUB2, featuring the UPO logo

Group:          System Environment/Base
License:        GPLv2+
URL:            http://repo.di.unipmn.it/
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
#Requires:       

%description
This is a theme for GRUB2, with the UPO logo on a black background,
right below the GRUB console.


%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT

# So we keep a copy under /usr/share too? What for?
install -m 755 -d ${RPM_BUILD_ROOT}/%{_datarootdir}/grub/themes/upo/
install -m 644 -t ${RPM_BUILD_ROOT}/%{_datarootdir}/grub/themes/upo/ *.png theme.txt *.pf2 README COPYING.CC-BY-SA-3.0

# This is what is required by GRUB 2
install -m 755 -d ${RPM_BUILD_ROOT}/boot/grub2/themes/upo/
install -m 644 -t ${RPM_BUILD_ROOT}/boot/grub2/themes/upo/ *.png theme.txt *.pf2 README COPYING.CC-BY-SA-3.0


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir /boot/grub2/themes/
%dir %{_datarootdir}/grub/themes
%dir %{_datarootdir}/grub/themes/upo
/boot/grub2/themes/upo/*
%{_datarootdir}/grub/themes/upo/*

%post
if [ $1 -eq 1 ]; then
  echo "GRUB_THEME=/boot/grub2/themes/upo/theme.txt" >> /etc/default/grub
  sed -i -e 's/^GRUB_TERMINAL_OUTPUT=.*/#&/' /etc/default/grub
  grub2-mkconfig -o /boot/grub2/grub.cfg
fi

%postun
if [ $1 -eq 0 ]; then
  sed -i -e '/GRUB_THEME=\/boot\/grub2\/themes\/upo\/theme.txt/d' /etc/default/grub
  sed -i -e 's/^#\(GRUB_TERMINAL_OUTPUT=.*\)/\1/' /etc/default/grub
fi

%changelog
* Thu Aug 21 2014 Bussi Andrea <bussi@mfn.unipmn.it> - 1.0-1
- Initial version

